import * as Yup from "yup";

export const signInValidationSchema = Yup.object({
  password: Yup.string()
    .min(8)
    .max(32)
    .matches(
      /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[@$!%*^#?&-._!"`'#%&,:;<>=@{}~\$\(\)\*\+\/\\\?\[\]\^\|])[A-Za-z\d@$#!^%*?&-._!"`'#%&,:;<>=@{}~\$\(\)\*\+\/\\\?\[\]\^\|]{8,32}$/,
      "يجب أن يحتوي على 8 أحرف على الأقل ، وحرف كبير واحد ، وحرف صغير واحد ، ورقم واحد ، وحرف خاص واحد"
    )
    .required("يرجى ادخال كلمة المرور"),
});
